<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>Characteristic</title>
<link href="../../../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../../../styles/style.css" rel="Stylesheet"><link href="../../../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../../../styles/main.css" rel="Stylesheet"><link href="../../../../../styles/prism.css" rel="Stylesheet"><link href="../../../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../../../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.app.device/FwBleService.InfoService.Characteristic///PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../../../../index.html">bluconnect</a>/<a href="../../../index.html">com.aptener.bluconnect.app.device</a>/<a href="../../index.html">FwBleService</a>/<a href="../index.html">InfoService</a>/<a href="index.html">Characteristic</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>Characteristic</span></span></h1>
            <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">sealed </span><span class="token keyword">class </span><a href="index.html">Characteristic</a> : <a href="../../../-fw-ble-char/index.html">FwBleChar</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Types">Types</button><button class="section-tab" data-togglable="Properties">Properties</button><button class="section-tab" data-togglable="Inheritors">Inheritors</button></div>
            <div class="tabs-section-body">
              <h2 class="">Types</h2>
              <div class="table" data-togglable="Types"><a data-name="-1541659590%2FClasslikes%2F-1410038383" anchor-label="FirmwareRevisionCharacteristic" id="-1541659590%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-firmware-revision-characteristic/index.html"><span>Firmware</span><wbr></wbr><span>Revision</span><wbr></wbr><span><span>Characteristic</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1541659590%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="-firmware-revision-characteristic/index.html">FirmwareRevisionCharacteristic</a> : <a href="index.html">FwBleService.InfoService.Characteristic</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1991545747%2FClasslikes%2F-1410038383" anchor-label="HardwareRevisionCharacteristic" id="-1991545747%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-hardware-revision-characteristic/index.html"><span>Hardware</span><wbr></wbr><span>Revision</span><wbr></wbr><span><span>Characteristic</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1991545747%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="-hardware-revision-characteristic/index.html">HardwareRevisionCharacteristic</a> : <a href="index.html">FwBleService.InfoService.Characteristic</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1955647553%2FClasslikes%2F-1410038383" anchor-label="ManufacturerCharacteristic" id="-1955647553%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-manufacturer-characteristic/index.html"><span>Manufacturer</span><wbr></wbr><span><span>Characteristic</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1955647553%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="-manufacturer-characteristic/index.html">ManufacturerCharacteristic</a> : <a href="index.html">FwBleService.InfoService.Characteristic</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-178870606%2FClasslikes%2F-1410038383" anchor-label="ModelNoCharacteristic" id="-178870606%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-model-no-characteristic/index.html"><span>Model</span><wbr></wbr><span>No</span><wbr></wbr><span><span>Characteristic</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-178870606%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="-model-no-characteristic/index.html">ModelNoCharacteristic</a> : <a href="index.html">FwBleService.InfoService.Characteristic</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1306450235%2FClasslikes%2F-1410038383" anchor-label="SerialNoCharacteristic" id="1306450235%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-serial-no-characteristic/index.html"><span>Serial</span><wbr></wbr><span>No</span><wbr></wbr><span><span>Characteristic</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1306450235%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="-serial-no-characteristic/index.html">SerialNoCharacteristic</a> : <a href="index.html">FwBleService.InfoService.Characteristic</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-452988218%2FClasslikes%2F-1410038383" anchor-label="SystemIdCharacteristic" id="-452988218%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-system-id-characteristic/index.html"><span>System</span><wbr></wbr><span>Id</span><wbr></wbr><span><span>Characteristic</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-452988218%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="-system-id-characteristic/index.html">SystemIdCharacteristic</a> : <a href="index.html">FwBleService.InfoService.Characteristic</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Properties</h2>
              <div class="table" data-togglable="Properties"><a data-name="-1702926602%2FProperties%2F-1410038383" anchor-label="uuid" id="-1702926602%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="../../../-fw-ble-char/uuid.html">uuid</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1702926602%2FProperties%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted" data-togglable="Properties"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><a data-name="-1702926602%2FProperties%2F-1410038383" anchor-label="uuid" id="-1702926602%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="../../../-fw-ble-char/uuid.html">uuid</a><span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/java/util/UUID.html">UUID</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Inheritors</h2>
              <div class="table" data-togglable="Inheritors"><a data-name="-1955647553%2FInheritors%2F-1410038383" anchor-label="ManufacturerCharacteristic" id="-1955647553%2FInheritors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-manufacturer-characteristic/index.html">ManufacturerCharacteristic</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1955647553%2FInheritors%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div></div>
                  </div>
                </div>
<a data-name="-452988218%2FInheritors%2F-1410038383" anchor-label="SystemIdCharacteristic" id="-452988218%2FInheritors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-system-id-characteristic/index.html">SystemIdCharacteristic</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-452988218%2FInheritors%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div></div>
                  </div>
                </div>
<a data-name="-1991545747%2FInheritors%2F-1410038383" anchor-label="HardwareRevisionCharacteristic" id="-1991545747%2FInheritors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-hardware-revision-characteristic/index.html">HardwareRevisionCharacteristic</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1991545747%2FInheritors%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div></div>
                  </div>
                </div>
<a data-name="-1541659590%2FInheritors%2F-1410038383" anchor-label="FirmwareRevisionCharacteristic" id="-1541659590%2FInheritors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-firmware-revision-characteristic/index.html">FirmwareRevisionCharacteristic</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1541659590%2FInheritors%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div></div>
                  </div>
                </div>
<a data-name="1306450235%2FInheritors%2F-1410038383" anchor-label="SerialNoCharacteristic" id="1306450235%2FInheritors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-serial-no-characteristic/index.html">SerialNoCharacteristic</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1306450235%2FInheritors%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div></div>
                  </div>
                </div>
<a data-name="-178870606%2FInheritors%2F-1410038383" anchor-label="ModelNoCharacteristic" id="-178870606%2FInheritors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-model-no-characteristic/index.html">ModelNoCharacteristic</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-178870606%2FInheritors%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

